## Thumbnailer management

Thumbnailer management — Request the thumbnailer service creates or updates thumbnails.

## Functions

gboolean | tracker_thumbnailer_cleanup ()
gboolean | tracker_thumbnailer_init ()
gboolean | tracker_thumbnailer_move_add ()
gboolean | tracker_thumbnailer_remove_add ()
void | tracker_thumbnailer_send ()
void | tracker_thumbnailer_shutdown ()

## Object Hierarchy

## Includes

    #include <libtracker-miner/tracker-miner.h>

## Description

This is a convenience API using D-Bus for creating and updating thumbnails for files being mined. It is also used to create thumbnails for album art found embedded in some medias.

This follows the thumbnailer specification: http://live.gnome.org/ThumbnailerSpec

## Functions

### tracker_thumbnailer_cleanup ()

    gboolean
    tracker_thumbnailer_cleanup (const gchar *uri_prefix);

Tells thumbnailer to cleanup all thumbnails under `uri_prefix` .

#### Parameters

uri_prefix | URI prefix |

#### Returns

TRUE if successfully reported, FALSE otherwise.

Since 0.8

### tracker_thumbnailer_init ()

    gboolean
    tracker_thumbnailer_init (void);

Initializes the thumbnailer connection.

#### Returns

TRUE if connection was successfully initialized, FALSE otherwise.

Since 0.8

### tracker_thumbnailer_move_add ()

    gboolean
    tracker_thumbnailer_move_add (const gchar *from_uri,
                                  const gchar *mime_type,
                                  const gchar *to_uri);

Adds a new request to tell the thumbnailer that `from_uri` was moved to `to_uri` . Stored requests can be sent with `tracker_thumbnailer_send()`.

#### Parameters

from_uri | URI of the file before the move |
mime_type | mime-type of the file |
to_uri | URI of the file after the move |

#### Returns

TRUE if successfully stored to be reported, FALSE otherwise.

Since 0.8

### tracker_thumbnailer_remove_add ()

    gboolean
    tracker_thumbnailer_remove_add (const gchar *uri,
                                    const gchar *mime_type);

Adds a new request to tell the thumbnailer that `uri` was removed. Stored requests can be sent with `tracker_thumbnailer_send()`.

#### Parameters

uri | URI of the file |
mime_type | mime-type of the file |

#### Returns

TRUE if successfully stored to be reported, FALSE otherwise.

Since 0.8

### tracker_thumbnailer_send ()

    void
    tracker_thumbnailer_send (void);

Sends to the thumbnailer all stored requests.

Since 0.8

### tracker_thumbnailer_shutdown ()

    void
    tracker_thumbnailer_shutdown (void);

Shuts down the thumbnailer connection.

Since 0.8

## Types and Values